Imports System.Web.Services
Imports Nowinki.GetRowCount
<WebService(Namespace:="http://localhost/")> _
Public Class NowinkiServices
    Inherits System.Web.Services.WebService

#Region " Kod wygenerowany przez Web Services Designera "

    Public Sub New()
        MyBase.New()

        ' To wywołanie jest wymagane przez Web Services Designera.
        InitializeComponent()

        ' Dodaj własny kod inicjalizujący po wywołaniu metody InitializeComponent()

    End Sub

    ' Wymagane przez Web Services Designera
    Private components As System.ComponentModel.IContainer

    ' UWAGA: Poniższa procedura jest wymagana przez Web Services Designera.
    ' Można ją modyfikować wyłącznie za pomocą Web Services Designera.
    ' Nie należy jej modyfikować w edytorze kodu.
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        components = New System.ComponentModel.Container
    End Sub

    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        ' CODEGEN: Ta procedura jest wymagana przez Web Services Designera
        ' Nie należy jej modyfikować za pomocą edytora kodu.
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

#End Region
    <WebMethod()> Public Function ShowGetRowCount() As Integer
        ' Poniższe trzy wiersze nie różnią się znacząco od wcześniejszych wersji.
        Dim GRC As New GetRowCount
        ShowGetRowCount = GRC.GetRowCount
        GRC.Dispose()
    End Function

End Class
